+ Responder ao Tópico



  1. #1
    MWBS
    Visitante

    Padrão Apache

    Uso conectiva 6.0, tenho uma versão do apache 1.3.27 e não consigo fazer o php4 funcionar.
    Instalei o apache manualmente!
    Segui várias receitas vistas aqui, entretanto não consigo fazer o apache ler o LoadModule php4... ele sempre retorna um erro, e só consigo fazê-lo iniciar se comentar a linha.
    No htttpd.conf antigo do conectiva estas linhas estão lá, no novo elas não existem, seria ulguma configura na instalação.
    Outra questão, como desistalar todo o apache que fiz a instalação manual?

  2. #2
    Administrador Avatar de Fernando
    Ingresso
    Jul 2001
    Localização
    Campinas Area
    Posts
    4.996
    Posts de Blog
    4

    Padrão Apache

    Posta o erro aqui pra gente analizar amigo..
    Pra desinstalar use make uninstall



  3. #3
    _Luigi_
    Visitante

    Padrão Apache

    ai kra como o psy flw poste o erro aki
    ai kra uma dica(não falando nda do psy hein hauhauhaa o kra é bom) mas tipo nem sempre o make uninstall presta então vc deve remover todas as libs do apache e tal para isso digite: whereis apache
    ele trará alguns resultados vc pode remover todos....ai faça novamente a instalação do apache..
    []´s Luiz

  4. #4
    MWBS
    Visitante

    Padrão Apache

    A mensagem é a seguinte:
    Syntax error on line 1013 of /etc/apache/httpd.conf:
    API module structure `php4_module´ in file /usr/local/apache/libexec/libphp4.so is garbled - perhaps this is
    not an Apache module DSO?
    /usr/local/apache/bin/apachectl start: httpd could not be started
    Na verdade eu preciso que o meu apache consiga trabalhar com php.



  5. #5

    Padrão Apache

    vc instalou os pacotes como RPM ou tar.gz???

    se vc tar.gz
    vc vai ter q compilar o apache assim:

    ./configure --enable-module=so
    make
    make install

    e o php assim:
    ./configure \
    --with-apxs=/usr/local/apache/bin/apxs \
    --with-mysql=/usr/local/mysql \
    --enable-sysvsem \
    --enable-sysvshm \
    --enable-sockets
    make
    make install

    use o --with-mysql somente se vc for mesmo precisar, e altere os paths q estao ai pra como estao na sua maquina

  6. #6
    Administrador Avatar de Fernando
    Ingresso
    Jul 2001
    Localização
    Campinas Area
    Posts
    4.996
    Posts de Blog
    4

    Padrão Apache

    master ice =)